VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Namespaces | Macros | Typedefs | Variables
module_win32.cpp File Reference
`#include "../utility/optional.h"`
`#include "../utility/stringconvert.h"`
`#include "module.h"`
`#include <shlobj.h>`
`#include <windows.h>`
`#include <algorithm>`
`#include <iostream>`
`#include <experimental/filesystem>`

## Namespaces
namespace | VST3
namespace | VST3::Hosting

## Macros
#define | USE_FILESYSTEM 0
#define | _SILENCE_EXPERIMENTAL_FILESYSTEM_DEPRECATION_WARNING
#define | USE_OLE !USE_FILESYSTEM
#define | LOG_ENABLE 0

## Typedefs
using | InitModuleFunc ) = bool(*)(
using | ExitModuleFunc ) = bool(*)(

## Variables
constexpr unsigned long | kIPPathNameMax = 1024

## Macro Definition Documentation

#define USE_FILESYSTEM 0

#define _SILENCE_EXPERIMENTAL_FILESYSTEM_DEPRECATION_WARNING

#define USE_OLE !USE_FILESYSTEM

#define LOG_ENABLE 0

## Typedef Documentation

using InitModuleFunc = bool (*) (

using ExitModuleFunc = bool (*) (

## Variable Documentation

HINSTANCE mModule nullptr

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.